//--------------------------------------------------------------
// File     : main.c
// Datum    : 15.06.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der MP45DT02-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_mp45dt02.h"
#include "stm32_ub_led.h"

int main(void)
{
  uint32_t n,m;

  SystemInit(); // Quarz Einstellungen aktivieren

  UB_Led_Init(); // Init der LEDs
  UB_MP45DT02_Init();  // Init vom MP45DT02
  UB_Fatfs_Init(); // Init vom FATFS-System

  // Test ob SD-Karte eingelegt
  if(UB_Fatfs_CheckMedia(MMC_0)==FATFS_OK) {
	  // Karte mounten
	  if(UB_Fatfs_Mount(MMC_0)==FATFS_OK) {
		  UB_Led_On(LED_GREEN);

		  // File anlegen und Aufnahme starten
		  UB_MP45DT02_RecordStart("test16k.wav");

		  // ein paar Sekunden aufnehmen
		  for(n=0;n<10;n++) {
			  UB_Led_Toggle(LED_BLUE);
			  for(m=0;m<500000;m++) {
				  // Loop-Funktion aufrufen !! WICHTIG !!
				  UB_MP45DT02_RecordLoop();
			  }
		  }

		  // Aufnahme beenden
		  UB_MP45DT02_RecordStop();

		  // Karte unmounten
		  UB_Fatfs_UnMount(MMC_0);

		  UB_Led_Off(LED_GREEN);

	  }
	  else UB_Led_On(LED_RED);
  }
  else UB_Led_On(LED_RED);

  while(1)
  {

  }
}

