//--------------------------------------------------------------
// File     : stm32_ub_mp45dt02.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_MP45DT02_H
#define __STM32F4_UB_MP45DT02_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "mp45dt02_lolevel.h"
#include "stm32_ub_fatfs.h"


//--------------------------------------------------------------
#define  REC_WAV_BUF_SIZE   512  // nicht aendern !!
#define  WAV_HEAD_LEN       44   // nicht aendern !!


//--------------------------------------------------------------
// interne Enum
//--------------------------------------------------------------
typedef enum {
  MP45DT02_NO_INIT = 0,
  MP45DT02_INIT_OK,
  MP45DT02_RECORD
}MP45DT02_STATUS_t;



//--------------------------------------------------------------
typedef enum {
  MP45DT02_REC_OK = 0,
  MP45DT02_INIT_ERR,
  MP45DT02_FILE_ERR
}MP45DT02_ERR_t;



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_MP45DT02_Init(void);
MP45DT02_ERR_t UB_MP45DT02_RecordStart(const char* name);
void UB_MP45DT02_RecordLoop(void);
void UB_MP45DT02_RecordStop(void);



//--------------------------------------------------------------
#endif // __STM32F4_UB_MP45DT02_H
